package gov.va.med.esr.common.batchprocess;

import gov.va.med.fw.util.DateUtils;

import java.util.Calendar;
import java.util.Date;

//import org.apache.commons.lang.time.DateUtils;

/**
 * Temporary class to hold the old format CD condition/diagnosis/procedure files until Oct 2014
 */
public class OPPExtractCommonFileCDCPDProcess extends OPPExtractCommonFileProcess
{
	protected boolean shouldExecuteProcess() {
		return ifNoLaterThanOct2014();
	}
	
	private boolean ifNoLaterThanOct2014() {
		return DateUtils.isBefore(
				Calendar.getInstance().getTime(), 
				DateUtils.createCalendar(2014, 8).getTime() 
		);
	}
 }